Subject: bug#20984: 25.0.50; Combining accents don't display properly in certain fonts

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Jul 2015 20:10:56 +0300

> From: handa <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 09 Jul 2015 18:27:08 +0900
> 
> > > > >   [0 1 0 626 8 1 6 8 -3 nil]
> > > > >   [0 1 0 734 0 1 5 11 -9 [0 0 0]]
> > > 
> > The composition data above looks wrong, doesn't it?  Like if the 'a'
> > part of the grapheme cluster comes from some different codepoint, not
> > from 'a', am I right?
> 
> The above data is completely broken.  The 3rd element of each vector is
> a character code, and it should be 97 and 768 respectively.
> 
> In my case too, the latest trunk Emacs returns the same vector as above,
> and, Emacs 24.5 returns this:
> 
>   [0 1 97 28 8 -1 8 7 0 nil]
>   [0 1 768 733 8 1 6 10 -8 [-8 0 0]]

Can you point me to the code that is involved in creation of the
composition data, when the font back-end is xftfont?  Specifically,
those portions of creating the composition data that depend on the
font features, since the same composition displays correctly for the
OP (and I guess for you as well) with DejaVu Sans Mono.  I will then
try to see what changes were done there since 24.5.

Thanks.